using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_YeMian_WenJianJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("查看文件夹", "网站后台", "查看文件夹", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        Label1.Text = Request.QueryString["folder"];

        String 文件夹 = Request.QueryString["folder"];
        if (文件夹 == null)
            文件夹 = Request.QueryString["ti"].Substring(4);

        String 文件夹位置;
        if (文件夹.StartsWith("club/", StringComparison.OrdinalIgnoreCase)||文件夹.StartsWith("/club/",StringComparison.OrdinalIgnoreCase))
            文件夹位置 = 程序.安装位置 + "Template/Club/" + 程序.设置["默认社区模板"] + "/WapPage/" + 文件夹.Substring(5);
        else
            文件夹位置 = 程序.安装位置 + "Template/Content/" + 程序.设置["默认模板"] + "/WapPage/" + 文件夹;
        FileInfo[] FIS = new DirectoryInfo(Server.MapPath(文件夹位置)).GetFiles("*.txt");

        String 表格代码 = "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">";
        int i;
        for (i = 0; i < FIS.Length; i++)
        {
            FileInfo FI = FIS[i];
            if (i % 6 == 0)
                表格代码 += "<tr>";

            StreamReader 读取 = FI.OpenText();
            String 第一行内容 = 读取.ReadLine();
            读取.Close();
            bool 是否3G = 第一行内容.StartsWith("3G_");
            String 文件名称 = 是否3G ? 第一行内容.Substring(3) : 第一行内容.Substring(4);

            表格代码 += "<td style=\"width:16%\">";

            表格代码 += "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">";
            表格代码 += "<tr><td><img src=\"" + 程序.安装位置 + "Admin/Images/" +
                ("page55.gif") +
                "\" alt=\"图片\" /></td></tr>";
            表格代码 += "<tr><td><a href=\"";
            表格代码 += "XiuGaiWenJian.aspx?file=" + Server.UrlEncode(文件夹 + FI.Name.Substring(0, FI.Name.Length - 4));
            表格代码 += "\" style=\"";
            表格代码 += 是否3G ? "color:red" : "";
            表格代码 += "\"";
            表格代码 += ">" +
                Server.HtmlEncode(文件名称) +
                "<br/>" + FI.Name.Substring(0, FI.Name.Length - 4) + ".aspx" +
                "</a>";
            表格代码 += "</td></tr>";
            表格代码 += "</table>";

            表格代码 += "</td>";

            if (i % 6 == 5)
                表格代码 += "</tr>";
        }
        if (i % 6 != 0)
        {
            while (i % 6 != 0)
            {
                表格代码 += "<td style=\"width:16%\"></td>";
                i++;
            }
            表格代码 += "</tr>";
        }
        表格代码 += "</table>";

        WenJianLieBiao.Text = 表格代码;
    }
}
